<?php
use App\Module;

Module::registerModule([
    'name' => 'ChangeList for Ember',
    'identifier' => 'changeList',
    'version' => '1.0.0',
    'description' => 'A fully integrated changeList system for Ember.'
]);

$container['view']->getEnvironment()->addGlobal('changeList', true);

Module::registerController(ChangeList\Controllers\ChangeListPageController::class, 'ChangeListPageController');
Module::registerController(ChangeList\Controllers\ChangeListAdminController::class, 'ChangeListAdminController');

Module::addNavbarLink([
    'icon' => 'fab fa-stack-exchange',
    'name' => 'Change List',
    'url' => '/change-list'
]);

// Module::addNavbarLink([
//     'icon' => 'fab fa-stack-exchange',
//     'name' => 'Change List',
//     'url' => '/admin/change-list',
//     'admin_dropdown' => true
// ]);
