<?php

$app->group('/admin/change-list', function($group) {
    $group->get('', 'ChangeListAdminController:renderPage');
    $group->post('/get-all', 'ChangeListAdminController:getChangeListAll');
    $group->post('/new-change-item', 'ChangeListAdminController:newChangeItem');
    $group->post('/update-change-item', 'ChangeListAdminController:updateChangeItem');
    $group->post('/delete-change-item', 'ChangeListAdminController:deleteChangeItem');
    $group->post('/new-change-group-item', 'ChangeListAdminController:newChangeGroupItem');
    $group->post('/update-change-group-item', 'ChangeListAdminController:updateChangeGroupItem');
    $group->post('/delete-change-group-item', 'ChangeListAdminController:deleteChangeGroupItem');
    $group->get('/setupdb-20201223-17', 'ChangeListAdminController:setupdb');
    $group->get('/updatedb-20201225-17', 'ChangeListAdminController:updatedb');
    $group->get('/550d6c30445549d9a30c8cc89480cd1bcf47bb4d7825bcd82ec69ebd826fefb2', 'ChangeListAdminController:dropChangeListTables');
});

$app->group('/change-list', function($group) use ($container) {
    $group->get('', 'ChangeListPageController:renderPage');
    $group->post('/get-all', 'ChangeListPageController:getChangeListAll');
    $group->get('/type-list', 'ChangeListPageController:getTypeList'); // type liste sadece bunun altında var dikkat et 
    $group->get('/server-list', 'ChangeListPageController:getServerLookup'); // type liste sadece bunun altında var dikkat et 
    $group->get('/is-auth', 'ChangeListPageController:isAuth');
});
